Selene J2EE Logic - Tareas #86

Reduce JDK1.7 warnings
04/12/2018 11:13 AM - Jesus Freire

Status: Cerrada
Priority: Normal
Assignee: Jesus Freire
Category:

Target version: 0.0.2

Puntos de historia: 16

Start date:
Due date:

% Done:

Estimated time:

Spent time:

04/17/2018
04/27/2018
100%

16:00 hours
22:00 hours

Description

Optimize imports.
Generate serialVersionUID to serialized classes.

Parameterize lists to avoid jdk1.7 deprecated generic lists.
Complete documentation with parameters and comments for the throwed exceptions.

Format source code with the correct tabulations

Subtasks:
Soporte # 89: Upgrade selene-j2ee-model to version 0.0.2
Tareas # 90: Implement interface Tabla into class Enteje
Soporte # 91: Upgrade selene-core to version 0.0.5
Soporte # 92: Upgrade selene-core to version 0.0.5
Soporte # 93: Upgrade selene-core to version 0.0.5
Soporte # 94: Upgrade selene-j2ee-core to version 0.0.5

Soporte # 95: Upgrade selene-j2ee-model to version 0.0.3

Cerrada
Cerrada
Cerrada
Cerrada
Cerrada
Cerrada
Cerrada

History

#1 - 04/12/2018 11:13 AM - Jesus Freire

- Status changed from Nueva to En curso

#2 - 04/12/2018 12:01 PM - Jesus Freire
- Estimated time changed from 4:00 h to 10:00 h

- Puntos de historia changed from 0 to 10

#3 - 04/12/2018 04:22 PM - Jesus Freire
- % Done changed from 10 to 20

#4 - 04/12/2018 06:15 PM - Jesus Freire

- Subject changed from Optimize imports and generate serialVersionUID to Reduce JDK1.7 warnings

- Description updated

- Due date set to 04/27/2018

- Start date set to 04/12/2018

- Estimated time changed from 10:00 h to 16:00 h

- Puntos de historia changed from 10 to 16

#5 - 04/13/2018 11:57 AM - Jesus Freire

- Description updated

#6 - 04/17/2018 09:13 AM - Jesus Freire
- Status changed from En curso to Nueva

- Assignee deleted (Jesus Freire)

Estado del EPP auto actualizado a Nueva porque todas las tareas estaban en estado Nueva

05/14/2025

1/2




#7 - 04/17/2018 09:14 AM - Jesus Freire
- Status changed from Nueva to En curso

- Assignee set to Jesus Freire

Estado del EPP auto actualizado a En curso porque al menos una tarea no estaba en estado Nueva

#8 - 04/17/2018 10:04 AM - Jesus Freire

- Status changed from En curso to Cerrada

Estado del EPP auto actualizado a Cerrada porque todas las tareas estaban cerradas

#9 - 04/17/2018 10:07 AM - Jesus Freire

- Status changed from Cerrada to En curso

#10 - 04/20/2018 10:33 AM - Jesus Freire
- Status changed from En curso to Resuelta

- % Done changed from 95 to 90

Applied in changeset selene-j2ee-logic|r413.

#11 - 04/20/2018 10:39 AM - Jesus Freire

- Status changed from Resuelta to Cerrada

Estado del EPP auto actualizado a Cerrada porque todas las tareas estaban cerradas

05/14/2025

22
